cdac.medinfo.sdk.hl7282.baselibs

## Class QSC

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.QSC

- All Implemented Interfaces:
    IDataType

      public class QSC
      extends CompositeDataType

  QSC - Query selection criteria

  This data type indicates the conditions that qualify the rows to be returned in the query response.

  Represents an HL7 QSC data type. This data type has the following attributes:

  1. Segment Field Name (ST)Required
  2. Relational Operator (ID)Optional
  3. Value (ST)Optional
  4. Relational Conjunction (ID)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QSC()` Default Constructor for QSC
    `QSC(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for QSC class which takes two arguments and sets the value in the respective member variable.
    `QSC(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for QSC class which takes five arguments and sets the value in the respective member variable.
    `QSC(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for QSC class which takes six arguments and sets the value in the respective member variable.
    `QSC(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for QSC class which takes four arguments and sets the value in the respective member variable.
    `QSC(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for QSC class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `ID` | `getRelationalConjunction()` Returns Relational Conjunction
    `ID` | `getRelationalOperator()` Returns Relational Operator
    `ST` | `getSegmentFieldName()` Returns Segment Field Name
    `ST` | `getvalue()` Returns Value
    `void` | `setQSCValue(ST objST)` Sets the QSCValue.
    `void` | `setQSCValue(java.lang.String strQSCValue)` Sets the QSCValue.
    `void` | `setRelationalConjunction(ID objID)` Sets the RelationalConjunction.
    `void` | `setRelationalConjunction(java.lang.String strRelationalConjunction)` Sets the RelationalConjunction.
    `void` | `setRelationalOperator(ID objID)` Sets the RelationalOperator.
    `void` | `setRelationalOperator(java.lang.String strRelationalOperator)` Sets the RelationalOperator.
    `void` | `setSegmentFieldName(ST objST)` Sets the SegmentFieldName.
    `void` | `setSegmentFieldName(java.lang.String strSegmentFieldName)` Sets the SegmentFieldName.
    `boolean` | `validate()` The Method validates the Input value,and if validated properly then returns true.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QSC

          public QSC()

      Default Constructor for QSC

    - #### QSC

          public QSC(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for QSC class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### QSC

          public QSC(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for QSC class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### QSC

          public QSC(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for QSC class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### QSC

          public QSC(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for QSC class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### QSC

          public QSC(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for QSC class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setSegmentFieldName

          public void setSegmentFieldName(java.lang.String strSegmentFieldName)

      Sets the SegmentFieldName.
      Parameters:
        `strSegmentFieldName` - The name of the field that is participating as a qualifier

    - #### setSegmentFieldName

          public void setSegmentFieldName(ST objST)

      Sets the SegmentFieldName.
      Parameters:
        `objST` - The name of the field that is participating as a qualifier

    - #### setRelationalOperator

          public void setRelationalOperator(java.lang.String strRelationalOperator)

      Sets the RelationalOperator.
      Parameters:
        `strRelationalOperator` - Refer to HL7 Table 0209 - Relational operator for valid values.

    - #### setRelationalOperator

          public void setRelationalOperator(ID objID)

      Sets the RelationalOperator.
      Parameters:
        `objString` - Refer to HL7 Table 0209 - Relational operator for valid values.

    - #### setQSCValue

          public void setQSCValue(java.lang.String strQSCValue)

      Sets the QSCValue.
      Parameters:
        `strQSCValue` - The value to which the field will be compared.

    - #### setQSCValue

          public void setQSCValue(ST objST)

      Sets the QSCValue.
      Parameters:
        `objST` - The value to which the field will be compared.

    - #### setRelationalConjunction

          public void setRelationalConjunction(java.lang.String strRelationalConjunction)

      Sets the RelationalConjunction.
      Parameters:
        `strRelationalConjunction` - a conjunction relates this repetition of the field to the next.

    - #### setRelationalConjunction

          public void setRelationalConjunction(ID objID)

      Sets the RelationalConjunction.
      Parameters:
        `objString` - a conjunction relates this repetition of the field to the next.

    - #### getSegmentFieldName

          public ST getSegmentFieldName()

      Returns Segment Field Name
      Returns:
        ST - data type.

    - #### getRelationalOperator

          public ID getRelationalOperator()

      Returns Relational Operator
      Returns:
        ID - data type.

    - #### getvalue

          public ST getvalue()

      Returns Value
      Returns:
        ST - data type.

    - #### getRelationalConjunction

          public ID getRelationalConjunction()

      Returns Relational Conjunction
      Returns:
        ID - data type.

    - #### validate

          public boolean validate()
                           throws InvalidDataTypeException

      The Method validates the Input value,and if validated properly then returns true. Here the validetion is based on the compulsory fields for the Datatype.
      Specified by:
        `validate` in interface `IDataType`
      Overrides:
        `validate` in class `CompositeDataType`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidDataTypeException` - - if Invalid values is entered or Mandatory field is missing.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.